Summary: A complete ODBC driver manager for Linux.
Name: unixODBC
Version: 2.2.2
Release: 3
License: LGPL
Group: System Environment/Libraries
Source: http://www.unixODBC.org/%{name}-%{version}.tar.gz
Source1: odbcinst.ini
Source2: ODBCConfig.desktop
Source3: DataManager.desktop
URL: http://www.unixODBC.org/
Conflicts: iodbc
#BuildPrereq: kdelibs-devel qt-devel libmng-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Install unixODBC if you want to access databases through ODBC. This
package includes drivers for PostgreSQL and local files. If you want
to develop programs that will access data through ODBC, you need to
install the unixODBC package.

%package devel
Summary: Development files for programs which will use the unixODBC library.
Group: Development/Libraries
Requires: unixODBC = %{version}

%description devel
The unixODBC package can be used to access databases through ODBC
drivers. If you want to develop programs that will access data through
ODBC, you need to install this package.

#%package kde
#Summary: KDE driver manager components for ODBC.
#Group: System Environment/Libraries
#requires: qt >= 2.1
#
#%description kde
#This package contains components for the ODBCConfig and DataManager
#(KDE) components of unixODBC.

%prep
%setup -q

%build
# pick up qt path
#export QTDIR=
#. /etc/profile.d/qt.sh
# clean up old moc files
(cd ODBCConfig && rm -f mclass*.cpp)
(cd DataManager && rm -f mclass*.cpp)
%configure --with-gnu-ld=yes --enable-threads=yes --enable-gui=yes --enable-static=yes --enable-drivers
make all

%install
# pick up qt path
#export QTDIR=
#. /etc/profile.d/qt.sh

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons

%makeinstall
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/applications
cp DataManager/LinuxODBC.xpm $RPM_BUILD_ROOT%{_datadir}/icons
cp DataManager/ODBC.xpm $RPM_BUILD_ROOT%{_datadir}/icons/odbc.xpm
find $RPM_BUILD_ROOT/%{_libdir} -name "*.so.*" |sed "s|$RPM_BUILD_ROOT||" |grep  -i -v libodbcinstQ > foo-list
find $RPM_BUILD_ROOT/%{_libdir} -name "*.so" |sed "s|$RPM_BUILD_ROOT||" |grep  -i -v libodbcinstQ |grep  -v -E "libodbc.so$" > foo-list2

# move to main package, it's often dlopened...
echo "%{_libdir}/libodbc.so" >> foo-list

%clean
rm -rf $RPM_BUILD_ROOT

%files -f foo-list
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS INSTALL doc
%config(noreplace) %{_sysconfdir}/odbc*
#{_libdir}/*so.*
%{_bindir}/odbcinst
%{_bindir}/isql
%{_bindir}/dltest
%{_bindir}/iusql
#%{_bindir}/odbctest
%{_libdir}/libboundparam.la
%{_libdir}/libesoobS.la
%{_libdir}/libgtrtst.la
%{_libdir}/libnn.la
%{_libdir}/libodbc.la
%{_libdir}/libodbccr.la
%{_libdir}/libodbcdrvcfg1S.la
%{_libdir}/libodbcdrvcfg2S.la
%{_libdir}/libodbcextras.la
%{_libdir}/libodbcinst.la
%{_libdir}/libodbcminiS.la
%{_libdir}/libodbcmyS.la
%{_libdir}/libodbcnnS.la
%{_libdir}/libodbcpsql.la
%{_libdir}/libodbcpsqlS.la
%{_libdir}/libodbctxt.la
%{_libdir}/libodbctxtS.la
%{_libdir}/liboplodbcS.la
%{_libdir}/liboraodbcS.la
%{_libdir}/libsapdbS.la
%{_libdir}/libtdsS.la
%{_libdir}/libtemplate.la
/usr/share/applications/DataManager.desktop
/usr/share/applications/ODBCConfig.desktop
/usr/share/icons/LinuxODBC.xpm
/usr/share/icons/odbc.xpm

#{_libdir}/libodbcinstQ*

%files devel -f foo-list2
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a

#%files kde
#%defattr(-,root,root)
#%{_bindir}/ODBCConfig
#%{_bindir}/DataManager
#/usr/share/applications/*
#%{_libdir}/libodbcinstQ*so
#%{_libdir}/libodbcinstQ*so.*
#
#%post kde -p /sbin/ldconfig
#%postun kde -p /sbin/ldconfig


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Mon Aug 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-3
- Move libodbc.so to the main package, so programs dlopening 
  it don't break (#72653)

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-1
- 2.2.2
- desktop file changes (# 69371)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.1-1
- 2.2.1
- Reenable other archs, as this should now build on 64 bit archs

* Sun May 19 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- add at least mainframe; should this really be a i386-only rpm?

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.0-5
- rebuild

* Fri Apr  5 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.0-4
- Avoid having files in more than one package (#62755)

* Tue Mar 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.0-3
- Don't include kde plugin .so as a devel symlink (#61039)

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.0-2
- Rebuild with KDE 3.x

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.0-1
- Just build on i386 now, there are 64 bit oddities 
- 2.2.0

* Fri Jan 11 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.1.1-2
- move libodbcinstQ* to the kde subpackage

* Fri Jan 11 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.1.1-1
- 2.1.1
- minor cleanups

* Fri Dec 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.0.7-5
- Rebuild

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Sun Jun 24 2001 Than Ngo <than@redhat.com>
- rebuild against qt-2.3.1, kde-2.1.x

* Fri Jun 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Better default odbcinst.ini
- Minor cleanups

* Wed Jun  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.0.7

* Wed Apr 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix for isql segfault on EOF/ctrl-d exit

* Fri Apr 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.0.6
- add patch for 64 bit archs (dword shouldn't be "long int")

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Nov 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 1.8.13

* Tue Oct 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- enable GUI now that we have KDE compiled with the standard
  compiler
- move the applnk entries to the KDE package

* Thu Aug 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the missing shared libs to the non-devel package

* Wed Aug 23 2000 Preston Brown <pbrown@redhat.com>
- 1.8.12 fixes problems with the postgresql driver

* Mon Jul 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- disable KDE subpackage to avoid the mess that is C++ binary
  compatibility 

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Florian La Roche <laroche@redhat.com>
- improved QTDIR detection

* Thu Jun 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 1.8.10
- use %%{_tmppath}
- update URL
- including two missing libraries

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- 1.8.9

* Fri Jun 09 2000 Preston Brown <pbrown@redhat.com>
- adopted for Winston, changed to Red Hat packaging standards

* Tue Apr 18 2000 Murray Todd Williams <murray@codingapes.com>
- added a unixODBC-devel RPM to the group, added KDE links and icons to system
- all of which came from recommendations from Fredrick Meunier
- <Fredrick.Meunier@computershare.com.au>

* Mon Apr 17 2000 Murray Todd Williams <murray@codingapes.com>
- unixODBC-1.8.7
- moved install to $RPM_BUILD_ROOT so it didn't overrun existing files.
